//
//  IOSSDK.h
//  IOSBLESBFrame
//
//  Created by Serene Teng on 7/12/16.
//  Copyright © 2016 Serene Teng. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef void(*DelegateSDK) (const char*);

@interface IOSSDK : NSObject

+ (void) Initialized;
+ (void) startScan;
+ (void) stopScan;
+ (void) startStopEEG:(bool)toStart;
+ (void) ClearBLEDeviceList;
+ (void) SendStartCommand:(const char*)deviceAddress :(int)type;
+ (void) SendStopCommand;
+ (void) DisconnectDevice:(const char*)deviceAddress :(int)type;
+ (void) ConnectDevice:(const char*)deviceAddress :(int)type;
+ (void) CancelConnection:(const char*)deviceAddress :(int)type;
+ (NSString*) grabMCUID:(const char*)deviceAddress;

//Framework calling for Delegate
//Calling Delegate in CBController.m for UnitySendMessage
+ (void) BLE_SetDeviceConnectStatus:(DelegateSDK) callbackNFL;
+ (void) BLE_SetDeviceNotConnectStatus:(DelegateSDK) callbackNFL;
+ (void) BLE_SetDeviceList:(DelegateSDK) callbackNFL;
+ (void) BLE_completedBTInit:(DelegateSDK) callbackNFL;
+ (void) BLE_SetUpdateRSSI:(DelegateSDK) callbackNFL;
+ (void) BLE_bluetoothSwitchStatus:(DelegateSDK) callbackNFL;


//Calling Delegate in NFL_SenzeBand.m for UnitySendMessage
+ (void) FNFL_EEG_GetMentalStateData:(DelegateSDK) callbackNFL;
+ (void) FNFL_EEG_GetBatteryLevelUpdate:(DelegateSDK) callbackNFL;
+ (void) FNFL_EEG_GetAccXYZ:(DelegateSDK) callbackNFL;
+ (void) FNFL_EEG_GetChannelStatus:(DelegateSDK) callbackNFL;
+ (void) FNFL_EEG_GetGoodConnectionCheck:(DelegateSDK) callbackNFL;


//End of Framework calling for Delegate


@end
