﻿using UnityEngine;
using System.Collections;

public class EEG_Graph_Panel : MonoBehaviour {

	public GameObject selectionList;
	public DrawEEGGraphEX_MentalState[] graphs_MentalState;

	public float heightMentalStateLandscape = 110;
	public float heightMentalStatePortrait = 300;
	public float heightABDTLandscape = 110;
	public float heightABDTPortrait = 250;
	public float heightRawLandscape = 60;
	public float heightRawPortrait = 150;

	private int showedGraph = 0; 

	void Start ()
	{
		UpdateLayout();
	}

	public void showGraphs(bool show)
	{
		if(show == false)
		{
			if(graphs_MentalState[0].showGraph != show)
			{
				for(int i = 0; i < graphs_MentalState.Length; ++i)
				{
					graphs_MentalState[i].ShowGraph(show);
					showedGraph = 0;
				}
			}
		}
		else
		{
			if(showedGraph == 0)
			{
				for(int i = 0; i < graphs_MentalState.Length; ++i)
				{
					graphs_MentalState[i].ShowGraph(true);
				}
			}
		}
	}

	public void UpdateLayout ()
	{
		// Update the selection UI
		selectionList.SendMessage("UpdateLayout", SendMessageOptions.DontRequireReceiver);

		// Update graphs
		if (Screen.height > Screen.width) 
		{
			if (graphs_MentalState.Length > 0)
			{
				foreach (DrawEEGGraphEX_MentalState graph in graphs_MentalState) 
				{
					graph.SendMessage("UpdateLayout", SendMessageOptions.DontRequireReceiver);
					graph.amplitude = heightMentalStatePortrait;
				}
			}
				
		} 
		else 
		{
			if (graphs_MentalState.Length > 0)
			{
				foreach (DrawEEGGraphEX_MentalState graph in graphs_MentalState) 
				{
					graph.SendMessage("UpdateLayout", SendMessageOptions.DontRequireReceiver);
					graph.amplitude = heightMentalStateLandscape;
				}
			}

		}
	}
}
